<?php


namespace Shop\Application\Shopping\SendProviderOrders;


class SendProviderOrdersCommand
{

    /**
     * @var array
     */
    protected $ids;

    /**
     * @var ResultOrders
     */
    protected $resultOrders;

    /**
     * SendProviderOrdersCommand constructor.
     * @param array $ids
     * @param ResultOrders $resultOrders
     */
    public function __construct(array $ids, ResultOrders $resultOrders)
    {
        $this->ids = $ids;
        $this->resultOrders;
    }

    /**
     * @return ResultOrders
     */
    public function getResultOrders(): ResultOrders
    {
        return $this->resultOrders;
    }


    /**
     * @return array
     */
    public function getIds(): array
    {
        return $this->ids;
    }

}